AbstractClassFilterTransformer (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.transform

## Class AbstractClassFilterTransformer

- java.lang.Object
- - org.objectweb.asm.ClassAdapter
  - - net.sf.cglib.transform.AbstractClassTransformer
    - - net.sf.cglib.transform.AbstractClassFilterTransformer

- All Implemented Interfaces:
    ClassTransformer, org.objectweb.asm.ClassVisitor
  Direct Known Subclasses:
    ClassFilterTransformer

      public abstract class AbstractClassFilterTransformer
      extends AbstractClassTransformer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setTarget(org.objectweb.asm.ClassVisitor target)`
    `void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
    `void` | `visitAttribute(org.objectweb.asm.Attribute attr)`
    `void` | `visitEnd()`
    `org.objectweb.asm.FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
    `void` | `visitInnerClass(java.lang.String name, java.lang.String outerName, java.lang.String innerName, int access)`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`
    `void` | `visitOuterClass(java.lang.String owner, java.lang.String name, java.lang.String desc)`
    `void` | `visitSource(java.lang.String source, java.lang.String debug)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setTarget

          public void setTarget(org.objectweb.asm.ClassVisitor target)

      Specified by:
        `setTarget` in interface `ClassTransformer`
      Overrides:
        `setTarget` in class `AbstractClassTransformer`

    - #### visit

          public void visit(int version,
                   int access,
                   java.lang.String name,
                   java.lang.String signature,
                   java.lang.String superName,
                   java.lang.String[] interfaces)

      Specified by:
        `visit` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visit` in class `org.objectweb.asm.ClassAdapter`

    - #### visitSource

          public void visitSource(java.lang.String source,
                         java.lang.String debug)

      Specified by:
        `visitSource` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitSource` in class `org.objectweb.asm.ClassAdapter`

    - #### visitOuterClass

          public void visitOuterClass(java.lang.String owner,
                             java.lang.String name,
                             java.lang.String desc)

      Specified by:
        `visitOuterClass` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitOuterClass` in class `org.objectweb.asm.ClassAdapter`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc,
                                                            boolean visible)

      Specified by:
        `visitAnnotation` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.ClassAdapter`

    - #### visitAttribute

          public void visitAttribute(org.objectweb.asm.Attribute attr)

      Specified by:
        `visitAttribute` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitAttribute` in class `org.objectweb.asm.ClassAdapter`

    - #### visitInnerClass

          public void visitInnerClass(java.lang.String name,
                             java.lang.String outerName,
                             java.lang.String innerName,
                             int access)

      Specified by:
        `visitInnerClass` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitInnerClass` in class `org.objectweb.asm.ClassAdapter`

    - #### visitField

          public org.objectweb.asm.FieldVisitor visitField(int access,
                                                  java.lang.String name,
                                                  java.lang.String desc,
                                                  java.lang.String signature,
                                                  java.lang.Object value)

      Specified by:
        `visitField` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitField` in class `org.objectweb.asm.ClassAdapter`

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                    java.lang.String name,
                                                    java.lang.String desc,
                                                    java.lang.String signature,
                                                    java.lang.String[] exceptions)

      Specified by:
        `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassAdapter`

    - #### visitEnd

          public void visitEnd()

      Specified by:
        `visitEnd` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitEnd` in class `org.objectweb.asm.ClassAdapter`

Copyright (c) 2001 - Apache Software Foundation